package com.gic.haoban.manage.api.dto.welcome.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.io.Serializable;

/**
 * desc：加好友配置dto
 *
 * @author: YongEn
 * @date: 2022/2/9
 **/
public class FriendSettingDetailDTO implements Serializable {
    private static final long serialVersionUID = -8947246337650792859L;
    /**
     * 加好友配置id
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long friendSettingId;
    /**
     * 微信企业id
     */
    private String wxEnterpriseId;
    /**
     * 欢迎语配置类型 ：
     * 1 发送好办欢迎语文案+小程序卡片(附带导购参数)
     * 2 发送好办欢迎语文案+公众号二维码(附带导购参数)
     * 3 发送好办欢迎语文案
     * 4 不发送好办欢迎语，用企微欢迎语
     */
    private Integer friendSettingType;

    public Long getFriendSettingId() {
        return friendSettingId;
    }

    public void setFriendSettingId(Long friendSettingId) {
        this.friendSettingId = friendSettingId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Integer getFriendSettingType() {
        return friendSettingType;
    }

    public void setFriendSettingType(Integer friendSettingType) {
        this.friendSettingType = friendSettingType;
    }

    @Override
    public String toString() {
        return "FriendSettingDTO{" +
                "friendSettingId=" + friendSettingId +
                ", wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", friendSettingType=" + friendSettingType +
                '}';
    }
}
